<?php
namespace CloudPrinterPlugin\Helpers;

/**
 * Class ArrayHelper
 *
 * @copyright   2019 by CloudPrinter
 * @author      Vasyl Kushniruk <vk@cloudprinter.com>
 */
class ArrayHelper
{
    /**
     * Insert some value in specific place
     */
    public static function array_insert(
        array $array,
        $target_key,
        $insert_key,
        $insert_val = null,
        $insert_after = true,
        $append_on_fail = false,
        $out = []
    ) {
        foreach ($array as $key => $value) {
            if ($insert_after) {
                $out[$key] = $value;
            }

            if ($key == $target_key) {
                $out[$insert_key] = $insert_val;
            }

            if (!$insert_after) {
                $out[$key] = $value;
            }
        }

        if (!isset($array[$target_key]) && $append_on_fail) {
            $out[$insert_key] = $insert_val;
        }

        return $out;
    }
}
