<?php

namespace CloudPrinterPlugin\Libs;

class BaseController
{
    private $base_path = '';
    private $views_folder = '';

    public function __construct($base_path = '', $views_folder = '')
    {
        $this->base_path = $base_path;
        $this->views_folder = $views_folder;
    }

    public function render($view, $params = array())
    {
        extract($params);
        return include $this->getViewPath($view);
    }

    public function getHtml($view, $params = array()) {
        ob_start();
        $this->render($view, $params);
        return ob_get_clean();
    }

    private function getViewPath($view)
    {
        // use the template from current theme if exist
        $templateOverridedPath = get_template_directory() . '/cloudprinter/templates/' . $this->views_folder . '/' . $view . '.php';
        if (file_exists($templateOverridedPath)) {
            return $templateOverridedPath;
        }

        return trailingslashit($this->base_path) . 'src/views/' . $this->views_folder . '/' . $view . '.php';
    }
}
