<?php


namespace CloudPrinterPlugin\Services;


class ConfigService
{
    public function getSupportEmail()
    {
        $supportEmail = get_option('cp_support_email');

        if (empty($supportEmail)) {
            return get_option('admin_email');
        }

        return $supportEmail;
    }

    public function getMinProductPriceMarginPercentage()
    {
        $minProductPriceMargin = get_option('cp_min_product_price_margin');
        return $minProductPriceMargin ?: 0;
    }

    public function getMinProductPriceMarginPercentageAlert()
    {
        $minProductPriceMarginAlert = get_option('cp_product_price_margin_alert_percentage');
        return $minProductPriceMarginAlert ?: 0;
    }

    public function costCheckEnabled()
    {
        return get_option('cp_cost_check') === 'yes';
    }

    public function includeSalesCost()
    {
        $includeSalesCost = get_option('cp_include_sales_cost');

        if (empty($includeSalesCost)) {
            return  true;
        }

        return apply_filters('cloudprinter_include_sales_cost', $includeSalesCost === 'yes');
    }

    public function isSubmissionImmediately()
    {
        $submissionMode = get_option('cp_order_submission_type');

        return empty($submissionMode) || $submissionMode === 'immediately_after_order_is_paid';
    }

    public function isSubmissionInBackground()
    {
        return get_option('cp_order_submission_type') === 'submission_in_background';
    }

    public function isSubmissionManually()
    {
        return get_option('cp_order_submission_type') === 'submission_manually';
    }

    public function getShippingPriceMargin()
    {
        return get_option('cp_shipping_price_margin') ?: 0;
    }

    public function isFreeShipping()
    {
        return get_option('cp_free_shipping') == 'yes';
    }

    public function getCPAccessToken()
    {
        return get_option('cp_api_key');
    }

    public function getOrderMode()
    {
        return get_option('cp_api_mode') ?: 'sandbox';
    }

    public function getAdminEmail()
    {
        return get_option('admin_email');
    }
}