<?php

namespace CloudPrinterPlugin\Services\DynamicOptions;

/**
 * Class DynamicOptionsService
 *
 * @copyright 2020 by CloudPrinter
 * @author    Vasyl Kushniruk <vk@cloudprinter.com>
 */
class DynamicOptionsService
{
    //Format option data stored from form to more readable format
    public function formatPretty($rawOptions, $product)
    {
        $result = [];

        foreach ($rawOptions as $optionReference => $optionData)
        {
            $item = [
                'option_reference' => $optionReference,
                'option_name' => $optionData['name'],
                'option_values' => []
            ];


            foreach ($optionData['values'] as $valueReference) {
                $price = 0;
                $priceInclTax = 0;
                $priceToDisplay = '';

                if (!empty($optionData['prices'][$valueReference])) {

                    $optionPrice = wc_get_price_including_tax($product, ['price' => $optionData['prices'][$valueReference]]);
                    $priceToDisplay = wc_price($optionPrice);
                    $price = $optionData['prices'][$valueReference];
                    $priceInclTax = $optionPrice;
                }

                $item['option_values'][] = [
                    'name' => $optionData['names'][$valueReference],
                    'value' => $valueReference,
                    'priceToDisplay' => $priceToDisplay,
                    'price' => $price,
                    'priceInclTax' => $priceInclTax
                ];
            }

            $result[] = $item;
        }

        return $result;
    }
}
