<script>
    // Select the shipping method in a case of only one method available.
    jQuery(document).ready(function() {
        var numberOfShippingOptions = jQuery('.cp_shipping_method').length;

        if (numberOfShippingOptions === 1) {
            jQuery('.cp_shipping_method').click();
        }
    })
</script>

<?php if (isset($quote['error']) || empty($quote)): ?>
    <?php if (apply_filters('cloudprinter_cart_review_display_shipping_error', true)): ?>
        <tr>
            <th><?php echo apply_filters('cloudprinter_shipping_title', 'Shipping for print products')?></th>
            <td colspan="2" data-title="<?php echo apply_filters('cloudprinter_shipping_title', 'Shipping for print products')?>">
                <?php if (isset($quote['error']['info'])): ?>
                    <?php echo $quote['error']['info']; ?>
                <?php else: ?>
                    Not available for selected country
                <?php endif; ?>
            </td>
        </tr>
    <?php endif; ?>
<?php else: ?>
    <?php foreach ($quote['shipments'] as $key => $shipment): ?>
        <tr class="shipping-block">
            <th>
                <?php
                    $names = [];
                    foreach ($shipment['items'] as $item):
                        $names[] = $productNames[$item['reference']];
                ?>
                    <input class="cp_shipping_items" type="hidden" name="cp_shipping_items[<?php echo $item['reference']; ?>]" value="<?php echo $item['reference']; ?>">
                <?php endforeach;?>

                <?php echo apply_filters('cloudprinter_shipping_title', 'Shipping for print products')?>
                <br>
                <?php if (count($quote['shipments']) > 1): ?>
                    <small>
                        (<?php echo join(', ', $names)?>)
                    </small>
                <?php endif; ?>
            </th>
            <td data-title="<?php echo apply_filters('cloudprinter_shipping_title', 'Shipping for print products')?>">
                <?php if (!$shipment['quotes']): ?>
                    Not available for selected country
                <?php else: ?>
                    <?php foreach ($shipment['quotes'] as $shipping): ?>
                        <?php
                            if (empty($shippingMarginPercentage)) {
                                $shippingMarginPercentage = 0;
                            }
                            $shippingPrice =  $shipping['price'] + ($shipping['price'] / 100 * $shippingMarginPercentage);
                            $shippingName = $shipping['service'] . ' ('. $shipping['shipping_option'] .')';
                            $shippingNameToDisplay = apply_filters(
                                'cloudprinter_shipping_name',
                                $shippingName,
                                $shipping['service'],
                                $shipping['shipping_option']
                            );

                            $cloudprinterShippingPrice = apply_filters('cloudprinter_shipping_price', $shipping['price'], $shippingCountry, $shippingPostcode);
                        ?>
                        <div>
                            <input type="radio"
                                   name="cp_shipping_hash[<?php echo $key ?>]"
                                   data-service="<?php echo $shipping['service']; ?>"
                                   data-shipping_option="<?php echo $shipping['shipping_option']; ?>"
                                   data-price="<?php echo $cloudprinterShippingPrice; ?>"
                                   data-native-price="<?php echo apply_filters('cloudprinter_native_shipping_price', $shipping['price'], $shippingCountry, $shippingPostcode); ?>"
                                   data-index="0" id="cp_shipping_hash_<?php echo $shipping['quote']; ?>"
                                   value="<?php echo $shipping['quote']; ?>"
                                   <?php
                                        if (
                                            !empty($shippingData[$key])
                                            && $shippingData[$key]['service'] == $shipping['service']
                                            && $shippingData[$key]['shipping_option'] == $shipping['shipping_option']
                                            && abs($shippingData[$key]['price'] - $cloudprinterShippingPrice) <  0.00001
                                            && (!isset($shippingData[$key]['country']) || $shippingData[$key]['country'] == $shippingCountry)
                                        ) {
                                            echo 'checked';
                                        }
                                   ?>
                                   class="<?php echo apply_filters('cloudprinter_shipping_method_css_classes', 'cp_shipping_method')?>">

                            <label for="cp_shipping_hash_<?php echo $shipping['quote']; ?>">
                                <?php echo $shippingNameToDisplay; ?>:
                                <span class="woocommerce-Price-amount amount">
                                    <?php if ($isFreeShipping == 'yes'): ?>
                                        (free)
                                    <?php else: ?>
                                        <?php

                                            $shippingPrice = apply_filters('cloudprinter_shipping_price', $shippingPrice, $shippingCountry, $shippingPostcode);
                                            echo wc_price($shippingPrice);
                                        ?>
                                    <?php endif; ?>
                                </span>
                            </label>
                        </div>
                    <?php endforeach; ?>
                <?php endif; ?>
                <input id="cp_shipping_service" type="hidden" name="cp_shipping_service">
            </td>
        </tr>
    <?php endforeach; ?>
<?php endif; ?>

