<div class="cp-product-error" style="display: none; color: red"></div>

<div id="cp-dynamic-product-options" style="display: none"></div>

<script>
    setTimeout(function(){
        var addToCartButtonCPElement = document.querySelector('button.single_add_to_cart_button')
        if (addToCartButtonCPElement) {
            addToCartButtonCPElement.setAttribute('disabled', true);
        }
    }, 0)

    jQuery('button.single_add_to_cart_button.button').attr('disabled', true);
    jQuery(document).ready(function() {
        <?php
            if (isset($product) && in_array($product->get_type(), ['simple', 'variable'])) {
                $productId = $product->get_id();
                echo "getProductDynamicOptions($productId)";
            }
        ?>

        jQuery('body').on('change', '.cp_dynamic_options', function () {
            calculateTotalPrice();
        });

        jQuery('.child_product_selected').on('change', function () {
            var productId = jQuery(this).val();
            getProductDynamicOptions(productId)
            jQuery('#child_product_selected_quantity').attr('name', 'quantity[' + productId + ']');
            jQuery('.cp-product-price').text(jQuery(this).data('price'));
            jQuery('.cp-product-error').hide().text('');
        });
    });

    var getProductDynamicOptions = (productId) => {
        jQuery('#cp-dynamic-product-options').html("");
        jQuery('#cp-dynamic-product-options').hide();
        jQuery('button.single_add_to_cart_button.button').attr('disabled', true);
        jQuery.ajax({
            url: "/wp-json/cloudprinter/v1/dynamic-product-options",
            method: 'POST',
            data: {'product_id': productId},
            headers: {'X-WP-Nonce': cp.nonce},
            dataType: "json",
            success: function (response) {
                if (response) {
                    displayProductDynamicOptions(response);
                }

            },
            complete: function () {
                jQuery('button.single_add_to_cart_button.button').attr('disabled', false);
            }
        });
    };

    var displayProductDynamicOptions = (data) => {
        jQuery('#cp-dynamic-product-options').append("<b class='product-options'>Product options</b><br>");
        jQuery('#cp-dynamic-product-options').show();
        for (var optionData of data) {
            var optionsHtml = "";

            if (optionData.option_values.length === 1) {
                jQuery('#cp-dynamic-product-options').append("" +
                    "<input " +
                    "   type='hidden' " +
                    "   name='cp_dynamic_options[" + optionData.option_reference + "]' " +
                    "   value='" + optionData.option_values[0].value +"'" +
                    ">");
            } else {
                for (var optionValue of optionData.option_values) {
                    var priceToDisplay = '';

                    if (optionValue.priceToDisplay) {
                        priceToDisplay = ' (+ ' + optionValue.priceToDisplay +')'
                    }

                    optionsHtml += "<option value='" + optionValue.value + "' data-price='" + optionValue.priceInclTax + "'>" + optionValue.name + priceToDisplay + "</option>"
                }
                var dropdownProductOptions = "<select class='cp_dynamic_options' name='cp_dynamic_options[" + optionData.option_reference + "]'>" + optionsHtml + "</select>";

                jQuery('#cp-dynamic-product-options').append("<label >" + optionData.option_name + "</label ><p>" + dropdownProductOptions + "</p>");
            }
        }

        calculateTotalPrice();
    }

    var calculateTotalPrice = () => {
        <?php if (isset($product) && $product->get_type() === 'grouped'): ?>
            var productPrice = parseFloat(jQuery('.child_product_selected:checked').data('price-number'));
        <?php else: ?>
            var productPrice = parseFloat('<?php echo wc_get_price_including_tax($product); ?>');
        <?php endif; ?>

        var productCurrency = '<?php echo get_woocommerce_currency_symbol(); ?>';
        jQuery('.cp_dynamic_options').each(function() {
            var optionPrice = jQuery(this).find('option:selected').data('price');
            if (optionPrice) {
                productPrice +=optionPrice;
            }
        })
        <?php if (isset($product) && $product->get_type() === 'grouped'): ?>
            jQuery('.cp-product-price').html(productCurrency + parseFloat(productPrice).toFixed(2))
        <?php else: ?>
            jQuery('.woocommerce-Price-amount.amount').html('<span class="woocommerce-Price-currencySymbol">' + productCurrency + '</span>' + parseFloat(productPrice).toFixed(2))
        <?php endif; ?>
    }
</script>

<div class="cp-product-price"></div>


<style>
    .cp-product-price {
        float: left;
    }

    .single_add_to_cart_button {
        float: right !important;
    }

    #cp-dynamic-product-options .product-options{
        font-size: 17px;
        margin-bottom: 9px;
        position: relative;
        float: left;
        width: 100%;
    }

    #cp-dynamic-product-options {
        background-color: #e6e6e6;
        padding: 16px 30px;
        margin-bottom: 27px;
    }

    #cp-dynamic-product-options label {
        font-weight: normal;
    }
    #cp-dynamic-product-options select {
        width: 100%;
    }
</style>
