<?php
/**
 * Checkout. Dynamic product.
 *
 * This template can be overridden by copying it to yourtheme/cloudprinter/templates/dynamic-product/index.php.
*/
?>

<?php if ($printProducts): ?>
    <div>
        <h3 id="order_review_heading">Files for print products</h3>

        <p>Please, specify the files for product that will be printed.</p>

        <table class="shop_table">
            <tbody>
                <?php foreach ($printProducts as $printProduct): ?>
                    <tr class="cart_item">
                        <td class="product-name" width="25%" style="vertical-align: top; border-right: 1px solid rgba(0,0,0,.1);"><?php echo $printProduct['name'] ?></td>
                        <td class="product-files">

                            <p class="form-field" style="margin-bottom: 10px">
                                <label for="cp_local_storage_file" style="padding: 0; margin: 0;">
                                    Storage
                                    <span class="required" title="required"> *</span>
                                </label>
                                <br>
                                <span>
                                    <input type="radio" id="cp_local_file_storage" class="cp_file_storage" name="cp_file_storage[<?php echo $printProduct['item_id']; ?>]" value="local" checked>
                                    Upload the file
                                </span>
                                <span style="margin-left: 10px">
                                    <input type="radio" id="cp_external_file_storage" class="cp_file_storage" name="cp_file_storage[<?php echo $printProduct['item_id']; ?>]" value="external">
                                    Set link
                                </span>
                            </p>

                            <div class="local-storage">
                                <?php foreach ($printProduct['files'] as $file): ?>
                                    <?php
                                        $fileAlreadyUploaded = !empty($file['uploaded_file']);
                                    ?>
                                    <div class="cp-file-element" style="margin-bottom: 7px;">
                                        <div class="form-row form-row-wide" style="padding: 0; margin: 0;">
                                            <label for="billing_email" style="padding: 0; margin: 0;"><?php echo ucfirst($file['type']); ?> file<abbr class="required" title="required"> *</abbr></label>
                                            <div class="cp-dynamic-file-not-uploaded" style="<?php echo $fileAlreadyUploaded ? 'display: none' : '' ?>">
                                                <span class="woocommerce-input-wrapper">
                                                    <input type="file" class="input-file" name="cp_file[<?php echo $printProduct['item_id']; ?>][<?php echo $file['type']; ?>]" accept=".<?php echo $file['format']; ?>">
                                                </span>
                                            </div>

                                            <div class="file-selected" style="display: none">
                                                <span class="cp-uploading-text" style="display: none">Uploading.. <spans class="cp-upload-progress"></spans></span>
                                                <span class="wrap-selected-file-text"
                                                      data-file-type="<?php echo $file['type']; ?>"
                                                      data-item-id="<?php echo $printProduct['item_id']; ?>">
                                                    <span class="cp-remove-selected-file" style="cursor: pointer;">× </span>
                                                    <span class="selected-file-name"><?php echo $fileAlreadyUploaded ? $file['uploaded_file']['fileName'] : '' ?></span>
                                                </span>
                                                <a class="button alt cp-upload-file-for-product"
                                                   data-file-type="<?php echo $file['type']; ?>"
                                                   data-item-id="<?php echo $printProduct['item_id']; ?>"
                                                >Upload</a>
                                            </div>

                                            <div class="cp-dynamic-uploaded" style="<?php echo !$fileAlreadyUploaded ? 'display: none' : '' ?>">
                                                <p>
                                                    <span class="cp-dynamic-file-name"><?php echo $fileAlreadyUploaded ? $file['uploaded_file']['fileName'] : '' ?></span>
                                                    <a class="button alt cp-dynamic-remove-file"
                                                       data-file-type="<?php echo $file['type']; ?>"
                                                       data-item-id="<?php echo $printProduct['item_id']; ?>"
                                                    >Remove</a>
                                                </p>
                                            </div>
                                            <input type="hidden"
                                                   class="cp-dynamic-uploaded-file-name"
                                                   name="cp_dynamic_file_name[<?php echo $printProduct['item_id']; ?>][<?php echo $file['type']; ?>]"
                                                   value="<?php echo $fileAlreadyUploaded ? $file['uploaded_file']['fileStoredName'] : '' ?>"
                                            >
                                        </div>
                                    </div>
                                <?php endforeach; ?>
                                <small>
                                    The max file size is <?php echo str_replace('M', 'MB', $maxUploadSize); ?>.
                                    <?php if (!empty($printProduct['count_files_in_archive'])): ?>
                                        Your archive file should contain <?php echo $printProduct['count_files_in_archive']; ?> files.
                                    <?php endif; ?>
                                </small>
                            </div>

                            <div class="external-storage" style="display: none">
                                <?php foreach ($printProduct['files'] as $file): ?>
                                    <p class="form-row form-row-wide">
                                        <label for="billing_email" class=""><?php echo ucfirst($file['type']); ?> file URL<abbr class="required" title="required"> *</abbr></label>
                                        <span class="woocommerce-input-wrapper">
                                            <input type="url" class="input-text" name="cp_file_url[<?php echo $printProduct['item_id']; ?>][<?php echo $file['type']; ?>]">
                                        </span>
                                    </p>
                                <?php endforeach; ?>
                                <small>
                                    <?php if (!empty($printProduct['count_files_in_archive'])): ?>
                                        Your archive file should contain <?php echo $printProduct['count_files_in_archive']; ?> files.
                                    <?php endif; ?>
                                </small>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
<?php endif; ?>

