<?php

use CloudPrinterPlugin\Services\ConfigService;

add_settings_field(
    'cp_include_sales_cost',
    __('Include order sales price information', 'cpSecurityCheck'),
    'cpIncludeSalesCostRender',
    'cloudprinter',
    'cloudprinter_section'
);

function cpIncludeSalesCostRender()
{
    if (get_option('cp_include_sales_cost') === false) {
        update_option('cp_include_sales_cost', 'yes');
    }

    $configService = new ConfigService();
    $includeSalesCost = $configService->includeSalesCost();

    echo '
            <div>
                <input type="radio" 
                       id="cp_include_sales_cost_yes" 
                       name="cp_include_sales_cost" 
                       class="cp_include_sales_cost" 
                       value="yes" 
                       ' . checked($includeSalesCost, true, false).'
                       ' . disabled(apply_filters('cloudprinter_include_sales_cost_disabled', false), true, false). '
                >
                <label for="cp_cost_check_yes">Yes</label>
            </div>
            
            <div>
                <input type="radio" 
                     id="cp_include_sales_cost_no" 
                     name="cp_include_sales_cost" 
                     class="cp_include_sales_cost" 
                     value="no" 
                     ' . checked($includeSalesCost, false, false) . '
                     ' . disabled(apply_filters('cloudprinter_include_sales_cost_disabled', false), true, false). '
                >
                <label for="cp_cost_check_no">No</label>
            </div>
            <p>
                <small>
                     Select Yes if you want to share order sales cost information with Cloudprinter.com via order submission requests.
                </small>
            </p>
        ';
}
