<?php
    /** @var \WC_Order $order */

    $errorMessage = $order->get_meta('_cp_error_message');
    $orderReference = $order->get_meta('_cp_order_reference');
    $status = $order->get_meta('_cp_status');
    $orderQuote = $order->get_meta('_cp_order_quote');
    $postedJson = $order->get_meta('_cp_order_json');
    $cpOrder = new \CloudPrinterPlugin\Models\CPOrder($order->get_id());
    $apiMode = $cpOrder->getCPMode();
?>

<div style="min-height: 75px;">
    <ul>
        <li><strong>Order status:</strong> <?php echo $status ? $status : 'not posted'; ?></li>

        <?php if ($cpOrder->isPostingError()): ?>
            <li><strong>Error message:</strong> <?php echo $errorMessage; ?></li>
        <?php endif; ?>

        <?php if ($cpOrder->isPostingError() || !$status): ?>
            <li>
                <a id="post_again" class="button">Post order to CP</a>
            </li>
        <?php endif; ?>

        <?php if ($apiMode): ?>
            <li><strong>API mode:</strong> <?php echo $apiMode; ?></li>
        <?php endif; ?>

        <?php if ($orderReference && !$errorMessage): ?>
            <li><strong>Order reference:</strong> <?php echo $orderReference; ?></li>
            <?php if ($cpOrder->getCloudprinterTotalProductPrice()): ?>
                <li><strong>Cloudprinter price:</strong> <?php echo wc_price($cpOrder->getCloudprinterTotalProductPrice())?></li>
                <li><strong>Revenue:</strong>
                    <span style="color: <?php echo $cpOrder->getProductRevenue() > 0 ? '#28a745' : 'red' ?>">
                        <?php echo wc_price($cpOrder->getProductRevenue())?>
                    </span>
                </li>
            <?php endif; ?>
        <?php endif; ?>
    </ul>

    <?php if ($postedJson): ?>
        <div id="download_container"></div>
        <a id="reorder" class="button">Make reorder</a>
        <script>
            var data = "text/json;charset=utf-8," + encodeURIComponent('<?php echo $postedJson; ?>');
            jQuery('<a class="button" href="data:' + data + '" download="order-json-<?php echo $order->get_id(); ?>.json">Download order json</a>').appendTo('#download_container');
        </script>

    <?php endif; ?>

    <div style="position: absolute; top: 0; right: 0;"><img height="70" src="<?php echo CP_PLUGIN_URL; ?>/assets/img/news-cloudprinter.png" alt=""></div>
</div>
