<?php add_thickbox(); ?>
<div id="cp-order-reorder-modal" style="display: none">
    <div class="cp-reorder-list">
        <form id="reorder-form" onsubmit="return false;">
            <div id="reorder-step-1">
                <b>Select reorder method:</b>
                <br>
                <label for="full-reorder">
                    <input type="radio" id="full-reorder" class="reorder-type" name="reorder-type" value="full-reorder" checked>
                    Full reorder. The entire order will be ordered again with the exact same configuration and shipping options.
                </label>
                <br>
                <label for="reorder-certain-items">
                    <input type="radio" id="reorder-certain-items" class="reorder-type" name="reorder-type" value="reorder-certain-items">
                    Reorder only certain items of the original order again.
                </label>
                <br>
                <br>
                <div class="to-step-2 next button">Next</div>
            </div>
            <div id="reorder-step-2" style="display: none">
                <table class="widefat striped">
                    <tr>
                        <th class="for-certain-items"></th>
                        <th><b>Product name</b></th>
                        <th><b>Quantity</b></th>
                        <th><b>Reorder</b></th>
                    </tr>

                    <?php foreach ($order->get_items() as $item): ?>

                        <?php
                            if (get_post_meta($item['product_id'], '_cp_is_cloud_printer_product', true) != 'yes') {
                                continue;
                            }
                        ?>

                        <?php /** @var WC_Order_Item_Product $item  */  ?>
                        <tr>
                            <td class="for-certain-items">
                                <input class="reorder_product_ids" type="checkbox" name="reorder_item_references[<? echo $item['cartItemKey']; ?>]" value="<? echo $item['cartItemKey']; ?>">
                            </td>
                            <td><?php echo $item->get_name(); ?></td>
                            <td>
                                <input type="number" required min="1" value="<? echo $item->get_quantity(); ?>" name="reorder_quantity[<? echo $item['cartItemKey']; ?>]" class="for-certain-items">
                                <span class="for-full-reorder"><? echo $item->get_quantity(); ?></span>
                            </td>
                            <td>
                                <div>
                                    <label for="cp_item_reorder_cause[<? echo $item['cartItemKey']; ?>]">Reorder cause <span style="color: red">*</span></label>
                                    <br>
                                    <select id="cp_item_reorder_cause" name="reorder_cause[<? echo $item['cartItemKey']; ?>]" required>
                                        <option value="reorder_shipping_item_not_received">Item shipped but never received</option>
                                        <option value="reorder_shipping_item_damaged">The item is damaged during transport</option>
                                        <option value="reorder_item_missing">Item missing from order</option>
                                        <option value="reorder_wrong_item">Wrong item</option>
                                        <option value="reorder_wrong_quantity">Wrong quantity</option>
                                        <option value="reorder_wrong_paper_or_material">Wrong paper or materials</option>
                                        <option value="reorder_pages_missing">Pages missing / duplicate / out of Sequence</option>
                                        <option value="reorder_incorrectly_positioned">Cover or pageblock incorrectly positioned / oriented</option>
                                        <option value="reorder_cover_pageblock_mixup">Cover and pageblock not matching</option>
                                        <option value="reorder_binding_glue">Binding / glue issue</option>
                                        <option value="reorder_lamination">Lamination quality inadequate</option>
                                        <option value="reorder_wrong_finishing_size">Wrong finishing size</option>
                                        <option value="reorder_wrong_binding_type">Wrong binding type</option>
                                        <option value="reorder_wrong_spine_size">Wrong spine type</option>
                                        <option value="reorder_wrong_wire_coil_size">Wrong wire/coil size</option>
                                        <option value="reorder_wrong_printing_technique">Wrong printing technique</option>
                                        <option value="reorder_wrong_color_mode">Wrong color (Mono vs FC vs PMS)</option>
                                        <option value="reorder_color_variation_one">Color variation within 1 item</option>
                                        <option value="reorder_color_variation_multiple">Color variation among multiple items</option>
                                        <option value="reorder_ink_spots_streaks_smudges">Ink spots / streaks / smudges</option>
                                        <option value="reorder_int_not_adhering_to_paper">Ink not adhering to paper</option>
                                    </select>
                                </div>
                                <div>
                                    <label for="cp_item_reorder_description_<? echo $item['cartItemKey']; ?>">Reorder description <span style="color: red">*</span></label><br>
                                    <input id="cp_item_reorder_description_<? echo $item['cartItemKey']; ?>"  class="cp_item_reorder_description" name="reorder_description[<? echo $item['cartItemKey']; ?>]" type="text" required disabled>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </table>

                <div class="reorder-error"></div>

                <input type="hidden" name="order_id" value="<?php echo $order->get_id()?>">
                <input type="hidden" name="security" value="<?php echo $order->get_id()?>">

                <div class="make-reorder for-full-reorder">
                    <div class="button to-step-1">Back</div>
                    <input type="submit" class="button reorder-btn" value="Reorder">
                </div>

                <div class="reorder-in-progress" style="display: none">
                    <a class="button">In progress...</a>
                </div>

                <div class="for-certain-items">
                    <div class="button to-step-1">Back</div>
                    <input type="submit" class="button to-step-3" value="Next">
                </div>
            </div>

            <div id="reorder-step-3" style="display: none">
                <div id="reorder-shipping-methods">

                </div>
                <div class="reorder-error"></div>

                <div class="make-reorder">
                    <div class="button to-step-2">Back</div>
                    <input type="submit" class="button reorder-btn" value="Reorder">
                </div>
                <div class="reorder-in-progress" style="display: none">
                    <a class="button">In progress...</a>
                </div>

            </div>
        </form>
    </div>
</div>
